<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

    <link rel="stylesheet" id="bootstrap.min.css-css" href="./raffle_files/bootstrap.min.css" type="text/css" media="all">
    <link rel="stylesheet" id="style.css-css" href="./raffle_files/style.css" type="text/css" media="all">
    <link rel="stylesheet" id="font-awesome.min.css-css" href="./raffle_files/font-awesome.min.css" type="text/css" media="all">


    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
	  <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
	  <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

</head>


<body class="page page-id-11632 page-child parent-pageid-18427 page-template page-template-page-tool-selector page-template-page-tool-selector-php geoip-country-PH geoip-continent-AS">

    <div class="leftcurtain"><img src="resources/images/curtain1.png" />
    </div>
    <div class="rightcurtain"><img src="resources/images/curtain1.png" />
    </div>

    <a class="rope" href="#">
        <img src="resources/images/rope.png" />
    </a>

    <div id="alert-popup">
        <ul id="alert-popup-list">

        </ul>
    </div>

    <div id="main">
        <form role="form" method="post">
            <div class="row inner-header text-center" style="background-image: url('resources/images/sprobe-tarp-large.png')">
                <div class="container">
                    <div class="row">
                        <div class="text-center results">

                            <div id="result-holder">
                                <div id="result-cell">
                                    <img src="resources/images/selector_glass.png" class="img-full img-glass">
                                </div>
                                <div id="result">
                                    <div class="wrapper" style="margin-top: 10px; z-index: 2 !important;"></div>
                                </div>
                            </div>

                        </div>
                        <div style="display:inline-block; padding:10px 70px;  width: 400px; margin-top: 180px ; ">
                            <button name="go" id="go" class="btn btn-danger btn-lg btn-block pulse" style="-moz-border-radius: 50px;
	-webkit-border-radius: 50px;
	border-radius: 50px;">GO</button>
                        </div>

                    </div>



                    <div id="congratulations" style="margin-top: 100px; display: none; color:white; color:#fff;
		text-shadow:#2e2e2e 0 4px 5px; font-size: 100px; background:rgba(0,0,0,0.8);">
                        Congratulations!

                    </div>
                    <button name="remove-name" id="remove-name" class="btn btn-danger" style="display: none; margin-top: 50px">Remove</button>
                </div>

            </div>

            <div class="row">
                <div class="container">
                    <div class="col-md-8 col-md-offset-2">
                        <textarea name="persons" id="persons" rows="3" placeholder="Separate each person with a comma..." class="form-control"></textarea>
                        <p class="help-block">CSV</p>
                        <div id="removed-persons" style="margin-top: 10px; display: none;">
                            <button class="btn btn-sm btn-info" id="reset-persons" style="margin-right:20px;">Reset removed names</button>
                        </div>
                        <h4>Options</h4>



                        <div class="form-group">
                            <select class="form-control" id="time-setting" name="time-setting">
                                <option value="2">1 Second</option>
                                <option value="4">3 Seconds</option>
                                <option value="6">5 Seconds</option>
                                <option value="11" selected="">10 Seconds</option>
                            </select>
                        </div>

                        <div class="form-group hidden">
                            <div class="btn-group" data-toggle="buttons">
                                <label class="btn btn-primary">
                                    <input type="radio" name="sound" id="sound-on" value="true"> <span class="glyphicon glyphicon-music"></span> On
                                </label>
                                <label class="btn btn-default">
                                    <input type="radio" name="sound" id="sound-off" value="false"> Off
                                </label>
                            </div>
                        </div>

                    </div>
                </div>
        </form>


        <script type="text/javascript" src="./raffle_files/jquery.min.js"></script>
        <script type="text/javascript" src="./raffle_files/jquery.easing.1.3.js"></script>
        <script type="text/javascript" src="./raffle_files/bootstrap.min.js"></script>
        <script type="text/javascript" src="./raffle_files/jasny-bootstrap.min.js"></script>

        <script>
            $(function() {

                var selected = 0;
                var personInput;
                var persons;
                var amount;
                var rotations = $('#time-setting').val();
                var slots;

                $("#persons").val("GD Adrian Lansang,Roxanne Mae Alforque,Mary Monic Angeline Cuizon,Anne Gabutan,Anecita Gabisan,Archie Lopernes,Tweettie Quisido,Adam John Benitez,Bradford Canonigo,Ma. Teresa Canonigo,Chris Niven Meneses,Christian Emmanuel Boyboy,Maureen Cortes,Christine Bandalan,Katherine Anne Cutar,Tirth Gefford Kevi Dharmdas,Diosel Torrefranca,Maricel Eri,Ricky Fornis,Fraulien Co,Juan Paulo Gabutan,Gadi Germon Lorenz Galindo,Shayne Gerodias,Jericho Gimoros,Chennie Gotgot,Arlene Gucor,John Inocente,Jay Pegarido,Jeffrey Noel Javier,Jenisa Tuñacao,Jennifer Giganto,Jennilyn Anrose Menchavez,Jonalyn Povadora,Gino Karlo Obiso,Karole Diana Graciosa,Louis Lingatong,Logen Paradero,Louie Lawrence Lacson,Leah Marañan,Anna Marie Marayan,Maricris Lao,Michael Jay Fernandez,Mike Edelson Almonte,Lunamae Shalom Conde,Nathaniel Oracion,Noli Fernan Perez,Cherry Ann Olandag,Cliffton Ongluico,Reijiro Murata,Lea Maejane Rudillos,Angelica Salazar,Dioscora Sanchez,Delaia Ann Secuya,Jed Steven Morillo,Jackylyn Suico,Willie Loyd Tandingan,Marc Riddick Verano,Wenzel Jay Tubalde,Yuta Nagao");

                addSlots();

                $('#remove-name').click(function(event) {
                    event.preventDefault();
                    $('#remove-name').fadeOut();
                    $('#congratulations').fadeOut();
                    var personSelected = persons[selected];
                    personInput = personInput.replace(personSelected + ",", "")
                    personInput = personInput.replace(personSelected + " ,", "")
                    personInput = personInput.replace(", " + personSelected, "")
                    personInput = personInput.replace("," + personSelected, "")
                    $('#removed-persons').append('<span class="label label-default label-removed">' + personSelected + '</span>');
                    $('#removed-persons').slideDown();
                });

                $('#reset-persons').click(function(event) {
                    event.preventDefault();
                    resetPersons();
                });

                $('#go').click(function(event) {
                    event.preventDefault();
                    $('#remove-name').fadeOut();
                    $('#congratulations').fadeOut();
                    $('#result .wrapper').css('margin-top', 0);
                    $('.slot').remove();
                    $('#go').addClass('animated-pulse');
                    $('#go').prop("disabled", true);

                    rotations = $('#time-setting').val();

                    addSlots();
                    moveSlots();

                });

                $('#persons').change(function() {
                    resetPersons();
                });

                function resetPersons() {
                    $('.label-removed').remove();
                    personInput = $('#persons').val();
                    $('#removed-persons').slideUp();

                    $('#result .wrapper').css('margin-top', 0);
                    $('.slot').remove();
                    addSlots();
                }

                function shuffle(array) {
                    var currentIndex = array.length,
                        temporaryValue, randomIndex;

                    // While there remain elements to shuffle...
                    while (0 !== currentIndex) {

                        // Pick a remaining element...
                        randomIndex = Math.floor(Math.random() * currentIndex);
                        currentIndex -= 1;

                        // And swap it with the current element.
                        temporaryValue = array[currentIndex];
                        array[currentIndex] = array[randomIndex];
                        array[randomIndex] = temporaryValue;
                    }

                    return array;
                }

                function addSlots() {

                    if (personInput == null) {
                        personInput = $('#persons').val();
                    }

                    persons = shuffle(personInput.split(','));
                    amount = persons.length;
                    slots = amount * rotations;

                    for (var i = 0; i < slots; i++) {
                        ctr = i % amount;
                        $('#result .wrapper').append("<div class='slot'>" + persons[ctr] + "</div>");
                    }
                }

                function moveSlots() {
                    var jqo = $('#result .wrapper');
                    var time = 1000 * (rotations - 1);
                    var ease = ['easeOutExpo', 'easeOutQuint', 'easeOutBounce'];
                    var randomEase = ease[Math.floor(Math.random() * ease.length)];
                    time += Math.round(Math.random() * 1000);
                    jqo.stop(true, true);


                    currentperson = (Math.round(Math.random() * (amount - 1)));
                    if (currentperson == amount) {
                        currentperson--;
                    }
                    currentperson = (currentperson + ((rotations - 1) * amount));

                    var marginTop = parseInt(jqo.css("margin-top"), 10)

                    marginTop -= (currentperson * 120);

                    selected = (currentperson % amount);

                    jqo.animate({
                        "margin-top": marginTop + "px"
                    }, time, randomEase, function() {
                        $('#remove-name').fadeIn();
                        $('#congratulations').fadeIn();
                        $('#go').removeAttr('disabled');
                        $('#selected-history').prepend('<span class="label label-default">' + persons[selected] + '</span>');
                        $('#go').removeClass('animated-pulse');
                    });

                }


            });
        </script>

        <script type="text/javascript">
            $(document).ready(function() {

                $curtainopen = false;

                $(".rope").click(function() {
                    $(this).blur();
                    if ($curtainopen == false) {
                        $(this).stop().animate({
                            top: '0px'
                        }, {
                            queue: false,
                            duration: 350,
                            easing: 'easeOutBounce'
                        });
                        $(".leftcurtain").stop().animate({
                            width: '60px'
                        }, 2000);
                        $(".rightcurtain").stop().animate({
                            width: '60px'
                        }, 2000);

                        console.log('show');
                        $curtainopen = true;
                    } else {
                        $(this).stop().animate({
                            top: '-40px'
                        }, {
                            queue: false,
                            duration: 350,
                            easing: 'easeOutBounce'
                        });
                        $(".leftcurtain").stop().animate({
                            width: '50%'
                        }, 2000);
                        $(".rightcurtain").stop().animate({
                            width: '51%'
                        }, 2000);

                        $curtainopen = false;
                        console.log('hide');

                    }
                    return false;
                });

            });
        </script>
        <style type="text/css">
            * {
                margin: 0;
                padding: 0;
            }
            img {
                border: none;
            }
            .leftcurtain {
                width: 50%;
                height: 1200px;
                top: 0px;
                left: 0px;
                position: absolute;
                z-index: 2;
            }
            .rightcurtain {
                width: 51%;
                height: 1200px;
                right: 0px;
                top: 0px;
                position: absolute;
                z-index: 3;
            }
            .rightcurtain img,
            .leftcurtain img {
                width: 100%;
                height: 100%;
            }
            .logo {
                margin: 0px auto;
                margin-top: 150px;
            }
            .rope {
                position: absolute;
                top: -40px;
                left: 85%;
                z-index: 4;
            }
            #result-holder {
                z-index: 0;
            }
            .inner-header {
                margin-top: -110px;
                background-image: url('resources/images/blackcurtain.jpg') background-size: 2100px 1100px;
                height: 1100px;
            }
            #main {
                background-image: url('resources/images/blackcurtain.jpg')
            }
            .container {
                margin-top: 100px;
            }
            .results {
                min-height: 480px;
                display: block
            }
            #result-holder {
                margin-top: 500px;
                margin: 0px 0 0 0;
                position: relative;
                width: 100%;
                min-height: 300px;
                clear: both;
                padding-top: 48px;
            }
            #result-cell {} #result-holder img.img-glass {
                position: absolute;
                top: 66px;
                left: -10px;
                height: 335px;
                margin-top: -25px;
                width: 1200px
            }
            #result-holder #result {
                position: relative;
                height: 250px;
                overflow: hidden;
                z-index: 10;
                color: #fff;
                text-align: center;
                width: 100%;
                font-size: 75px;
                font-family: museo-slab, sans-serif;
                text-shadow: 2px 2px 2px #555;
                margin-top: 25px;
            }
            #result .wrapper .slot {
                height: 120px;
                box-sizing: border-box;
                padding: 60px 0 40px 0;
            }
            @-webkit-keyframes redPulse {
                from {
                    background-color: #d9534f;
                    -webkit-box-shadow: 0 0 0px #ac2925;
                }
                50% {
                    background-color: #E41418;
                    -webkit-box-shadow: 0 0 20px #d2322d;
                }
                to {
                    background-color: #d9534f;
                    -webkit-box-shadow: 0 0 0px #ac2925;
                }
            }
            .animated-pulse {
                -webkit-animation-name: redPulse;
                -webkit-animation-duration: 1.5s;
                -webkit-animation-iteration-count: infinite;
            }
            .pulse:hover {
                -webkit-animation-name: redPulse;
                -webkit-animation-duration: 1.5s;
                -webkit-animation-iteration-count: infinite;
            }
        </style>
        </div>
    </div>
    <div></div>
    <style></style>
    <div></div>
</body>

</html>